Get the account
GET
/storefront/sites/{host}/account
const url = 'https://example.com/storefront/sites/northgate.shop.getbottle.app/account';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/storefront/sites/northgate.shop.getbottle.app/accountDeliberately without a staff session: a shopper on the business’s own shop. The name and email, whether an authenticator and an ordering PIN are on, the customers it buys for (trade first) with whether each may order on account, their delivery addresses, and where a trade account request stands. 401 when signed out.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”host
required
string
Example
northgate.shop.getbottle.appResponses
Section titled “Responses”The account
Media typeapplication/json
object
name
required
string
email
required
string
emailVerified
required
boolean
twoFactor
required
boolean
hasPin
required
boolean
marketingConsent
boolean
customers
required
Array<object>
object
id
required
UUID v7
string format: uuid
name
required
string
kind
required
string
paymentTerms
required
string | null
canPayOnAccount
required
boolean
trade
required
boolean
role
required
string
canOrder
required
boolean
addresses
required
Array<object>
object
id
required
UUID v7
string format: uuid
customerId
required
UUID v7
string format: uuid
label
required
string
line1
required
string
line2
required
string | null
city
required
string | null
postcode
required
string | null
tradeApplication
required
object
status
required
string
reason
required
string | null
submittedAt
required
string | null format: date-time
Example
{ "customers": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "domestic", "role": "manager" } ], "addresses": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ], "tradeApplication": { "status": "none" }}Refused: the message says why
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not from the shop itself, or the email is not confirmed yet
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a shop. No body.
A real shop not selling now (shop_closed)
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}Too many tries
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}